Bug 408091 - mock manual out of date.
mock manual out of date.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 17:02 EST by Paulo Roma Cavalcanti
Modified: 2013-01-09 20:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 10:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2007-12-02 17:02:30 EST
Description of problem:

mock manual is out of date.

Version-Release number of selected component (if applicable):

0.8.9

How reproducible:

always.

Steps to Reproduce:
1. man mock
2.
3.
  
Actual results:

SYNTAX
       mock  [options] --rebuild SRPM [SRPM...]
       mock  [options] --chroot <cmd>
       mock  [options] {--init|clean|shell}
       mock  [options] --installdeps {SRPM|RPM}
       mock  [options] --install PACKAGE

Expected results:

SYNTAX:
       mock  [options] rebuild SRPM [SRPM...]
       mock  [options] chroot <cmd>
       mock  [options] {init|clean|shell}
       mock  [options] installdeps {SRPM|RPM}
       mock  [options] install PACKAGE

Additional info:

https://www.redhat.com/archives/fedora-devel-list/2007-December/msg00099.html
Comment 1 Michael E Brown 2007-12-03 10:39:12 EST
manpage is correct.

"mock --init" was broken in 0.8.9, but is already fixed in 0.8.11 which should
be in updates-testing this week.

"mock init" is the old-style, backwards-compatible syntax. The manpage documents
the new syntax.

Note You need to log in before you can comment on or make changes to this bug.